package agt

import (
	"ia04/comsoc"
)

type AgentID int

type Agent struct {
	ID    AgentID
	Name  string
	Prefs []Alternative
}

type Alternative comsoc.Alternative

type AgentI interface {
	Equal(ag AgentI) bool
	DeepEqual(ag AgentI) bool
	Clone() AgentI
	String() string
	Prefers(a Alternative, b Alternative)
	Start()
}
